//
//  FlickrServices.h
//

// Sample query:
// http://api.flickr.com/services/rest/?method=flickr.photos.search&api_key=4a56a3ed1423f75621d4e061dfb92ef7&tags=architecture&format=json
// = kFlickrBaseURL + kFlickrMethodPhotosSearch
// + APIKeyParameter + kFlickrGeoPhotoAPIKey
// + TagsParameter + tag text (from searchbar)
// + formatParameter


// APP CREDENTIALS
#define kFlickrGeoPhotoAPIKey                       (@"Your Flickr API Key")
#define kFlickrGeoPhotoSecret                       (@"Your Flickr API Secret")

// BASICS
#define kFlickrBaseURL                              (@"https://api.flickr.com")
#define kFlickrQueryPath                            (@"/services/rest/?method=")
// METHODS
// Photos
#define kFlickrMethodPhotosSearch                   (@"flickr.photos.search")

// Query parameters
#define kFlickrParameterAPIKey                      (@"api_key")
#define kFlickrParameterTags                        (@"tags")
#define kFlickrParameterFormat                      (@"format")
#define kFlickrParameterHasGeo                      (@"has_geo")
#define kFlickrParameterExtras                      (@"extras")
#define kFlickrParameterVanillaJSON                 (@"nojsoncallback")
#define kFlickrParameterContentType                 (@"content_type")
#define kFlickrParameterMediaType                   (@"media")
#define kFlickrParameterLat                         (@"lat")
#define kFlickrParameterLon                         (@"lon")
#define kFlickrParameterRadius                      (@"radius")
#define kFlickrParameterResultsPerPage              (@"per_page")

// Query Parameters that won't change
#define kFlickrParameterMediaTypeValue              (@"photos")
#define kFlickrParameterContentTypeValue            (@"1")
#define kFlickrParameterFormatValue                 (@"json")
#define kFlickrParameterHasGeoValue                 (@"1")
#define kFlickrParameterExtrasValue                 (@"geo")
#define kFlickrParameterVanillaJSONValue            (@"1")

