//
//  Sight.h
//  TouristHelper
//
//  Adam Eberbach

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

@class Sight;

@protocol SightDelegate
- (void)sightBeginningLargeImageDownload;
- (void)sightsDownloadEnded;
- (void)sightDisplayImage:(Sight *)sight;
- (void)sightDidUpdateAvailableThumbnail:(Sight *)sight;
@end

@interface Sight : NSObject <MKAnnotation>

@property (nonatomic, weak) id<SightDelegate> delegate;
@property (nonatomic) CLLocationCoordinate2D coordinate;
@property (nonatomic, copy) NSString *title;
@property (nonatomic, strong) NSNumber *identifyingNumber;
@property (nonatomic, strong) UIImage *fullImage;

- (id)initWithTitle:(NSString *)title
         coordinate:(CLLocationCoordinate2D)coordinate
            baseURL:(NSString *)baseURLString;
- (UIImage *)thumbnailImage;
- (void)initiateImageDisplay;

@end
