//
//  SightFinder.h
//  TouristHelper
//
//  Adam Eberbach

#import <Foundation/Foundation.h>
#import "Sight.h"

@class SightFinder;

typedef enum _SightFinderStatus {
  // expand to add more detail, i.e. network unreachable, key refused, no tags found etc.
  kSightFinderSearchSuccess,
  kSightFinderSearchFailure
} SightFinderStatus;

@protocol SightFinderDelegate
- (void)SightFinder:(SightFinder *)sightFinder didCompleteRequestWithStatus:(SightFinderStatus)status;
@end

@interface SightFinder : NSObject

@property (nonatomic, weak) id<SightFinderDelegate> delegate;
@property (nonatomic, strong) NSArray *sights;

- (void)findSightsCount:(NSUInteger)count
                 forTag:(NSString *)tag
         aroundLocation:(CLLocation *)location
             withRadius:(CGFloat)kilometres;

@end
